<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/**
 * @var array $data
 *
 */

use DEVELUXSCT\HTMLGenerators\SVG_Generator;

$post = $data['post'] ?? null;
if (!$post) {
    return;
}
$develuxsct_svg = SVG_Generator::generate_button_icons();
$develuxsct_allowed = SVG_Generator::get_allowed_svg_elements();
$develuxsct_info_svg = $develuxsct_svg['info_purple'];

$develuxsct_legend = $data['legend'] ?? '';
$develuxsct_tooltip = $data['tooltip'] ?? '';
$develuxsct_data_tooltip = '';
if ($develuxsct_tooltip) {
    $develuxsct_data_tooltip =  $develuxsct_tooltip;
}


$develuxsct_key = $data['key'] ?? '';
$develuxsct_global_key = $develuxsct_key . '_global';
$develuxsct_global_settings = wp_load_alloptions();
$develuxsct_global_value = $develuxsct_global_settings[$develuxsct_global_key] ?? '';
$develuxsct_ignore_global_settings = $data['ignore_global_settings'] ?? 1;

$id = $data['id'] ?? '';
$develuxsct_class_name = $data['class_name'] ?? '';
$develuxsct_container_class = $data['container_class'] ?? '';
$develuxsct_flex_direction = $data['flex_direction'] ?? 'col';
$develuxsct_step = $data['step'] ?? '';
$develuxsct_min = $data['min'] ?? '';
$develuxsct_max = $data['max'] ?? '';
$develuxsct_placeholder = $data['placeholder'] ?? '';
$develuxsct_default_value = $data['default_value'] ?? '';
$develuxsct_data_property = $data['data_property'] ?? '';
$develuxsct_data_dimension_unit_type = $data['data_dimension_unit_type'] ?? '';
$develuxsct_data_target = $data['data_target'] ?? '';
$develuxsct_depended_target_value = $data['data_depended_target_value'] ?? '';
$develuxsct_items = $data['items'] ?? 'items-start';
if ($develuxsct_ignore_global_settings) {
    $develuxsct_value = esc_attr(get_post_meta($post->ID, $develuxsct_key, true));
    if ($develuxsct_value === '' || $develuxsct_value === null) {
        $develuxsct_value = $develuxsct_default_value;
    }
} else {
    $develuxsct_value = $develuxsct_global_value;
}
$develuxsct_unit_data = $data['unit_data'] ?? [];

?>
<div class="label-style flex flex-row items-center gap-5 <?php echo esc_attr($develuxsct_container_class); ?>">
    <label class="flex items-center justify-between" for="<?php echo esc_attr($id); ?>">
        <?php echo esc_html($develuxsct_legend); ?>
        <?php if($develuxsct_data_tooltip): ?>
            <span data-develux-tooltip="<?php echo esc_attr($develuxsct_data_tooltip); ?>">
                <i class="woocommerce-help-tip"></i>
            </span>
        <?php endif; ?>
    </label>
    <div class="w-50 flex flex-row items-center relative">
        <input data-depended-target-value="<?php echo esc_attr($develuxsct_depended_target_value); ?>"
               data-default-value="<?php echo esc_attr($develuxsct_default_value); ?>"
               data-target="<?php echo esc_attr($develuxsct_data_target); ?>"
               data-property="<?php echo esc_attr($develuxsct_data_property); ?>"
               data-unit="<?php echo esc_attr($develuxsct_data_dimension_unit_type); ?>"
               type="number"
               step="<?php echo esc_attr($develuxsct_step); ?>"
               id="<?php echo esc_attr($id); ?>"
               name="<?php echo esc_attr($develuxsct_key); ?>"
               min="<?php echo esc_attr($develuxsct_min); ?>"
               max="<?php echo esc_attr($develuxsct_max); ?>"
               class="<?php echo esc_attr($develuxsct_class_name); ?> widefat rectangle"
               value="<?php echo esc_attr($develuxsct_value); ?>">


    </div>
</div>
